org.eclipse.e4.ui.model.application.ui

## Interface MLocalizable

All Known Subinterfaces:
  MApplication, MArea, MCategory, MCommand, MCompositePart, MDialog, MDirectMenuItem, MDirectToolItem, MDynamicMenuContribution, MElementContainer<T>, MGenericStack<T>, MGenericTile<T>, MGenericTrimContainer<T>, MHandledItem, MHandledMenuItem, MHandledToolItem, MInputPart, MItem, MMenu, MMenuContribution, MMenuElement, MMenuItem, MMenuSeparator, MPart, MPartDescriptor, MPartSashContainer, MPartSashContainerElement, MPartStack, MPerspective, MPerspectiveStack, MPlaceholder, MPopupMenu, MStackElement, MToolBar, MToolBarContribution, MToolBarElement, MToolBarSeparator, MToolControl, MToolItem, MTrimBar, MTrimContribution, MTrimElement, MTrimmedWindow, MUIElement, MUILabel, MWindow, MWindowElement, MWizardDialog

    public interface MLocalizable

A representation of the model object 'Localizable'.

This class should be mixed into any UI element that should participate in the Locale update handling.

Since:
  1.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `updateLocalization()` This method is used to support Locale changes at runtime.

### Method Detail

#### updateLocalization

    void updateLocalization()

This method is used to support Locale changes at runtime. Implementing this method should result in refreshing localizable properties like labels, tooltips and descriptions.